
Redmine - Defect #8235

bulk edit issues and copy issues error in es, gl and ca locales

2011-04-27 12:05 - Toshi MARUYAMA

Status: Closed Start date: 2011-04-27

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 1.1.3   

Resolution: Fixed Affected version: 1.1.2

Description

https://github.com/edavis10/redmine/pull/21

I18n::MissingInterpolationArgument in IssuesController#bulk_update

missing interpolation argument in "Imposible grabar %{value} peticion(es) en %{count} seleccionado

: %{ids}." ({:count=>"0", :total=>"3", :ids=>"#"} given)

RAILS_ROOT: /REDMINE/MY-REDMINE/test-3000

Application Trace | Framework Trace | Full Trace

/usr/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n/backend/base.rb:174:in `interpolate_without_deprec

ated_syntax'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/i18n_interpolation_deprecation.rb

:21:in `interpolate'

/usr/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n/backend/base.rb:46:in `translate'

/usr/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n.rb:160:in `t'

/REDMINE/MY-REDMINE/test-3000/lib/redmine/i18n.rb:13:in `l'

/REDMINE/MY-REDMINE/test-3000/app/controllers/application_controller.rb:429:in `set_flash_from_bul

k_issue_save'

/REDMINE/MY-REDMINE/test-3000/app/controllers/issues_controller.rb:214:in `bulk_update'

Related issues:

Related to Redmine - Defect #3574: erro 500 on bulk edit in es, gl and ca loc... Closed 2009-07-01

Related to Redmine - Defect #6495: Convert translations to the new format for... Closed 2010-09-26

Associated revisions

Revision 5553 - 2011-04-27 12:47 - Toshi MARUYAMA

Fix notice_failed_to_save_issues format in es, gl and ca locales (#8235).

Contributed by Jose M. Prieto.

History

#1 - 2011-04-27 12:08 - Toshi MARUYAMA

- Category changed from Issues to Translations

#2 - 2011-04-27 12:54 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version set to 1.1.3

- Resolution set to Fixed

Committed r5553 in trunk and r5554 in 1.1-stable.
